Extending Qt Creator Manual | BuiltinTypeNode

Extending Qt Creator Manual 4.7.1

# BuiltinTypeNode Class

(Debugger::Internal::BuiltinTypeNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Types

typedef | Ptr
enum | Type { VoidType, WCharType, BoolType, PlainCharType, ..., VendorType }

## Public Functions

| BuiltinTypeNode(Debugger::Internal::GlobalParseState *parseState)
int | toByteArray() const
Debugger::Internal::BuiltinTypeNode::Type | type() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Type Documentation

### typedef BuiltinTypeNode::Ptr

### enum BuiltinTypeNode::Type

## Member Function Documentation

### BuiltinTypeNode::BuiltinTypeNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of BuiltinTypeNode.

### `[static]` bool BuiltinTypeNode::mangledRepresentationStartsWith(char c)

### int BuiltinTypeNode::toByteArray() const

### Debugger::Internal::BuiltinTypeNode::Type BuiltinTypeNode::type() const